
#ifndef __FILE_H__
#define __FILE_H__

#include <stdio.h>   
#include <global.h>
#include <image.h>   

extern void SetOutputType ( char *__forcedType, const FileFormat __inputType,
                            Image *__image);

extern FileFormat ReadFileType ( const char *__filename );

extern int ReadFile ( char *__filename, const FileFormat __filetype,
                      Image *__image );

extern int WriteFile ( char *__filename, Image *__image );

extern int WriteWNM ( FILE *__fp, Image *__image, const int __width, 
                      const int __height, const int __colorstyle, 
                      const int __bpp, char *__comment );

extern int WritePNM ( FILE *__fp, byte *__pic, const int __w, const int __h,
                      const int __colorstyle, const int __bpp,
                      char *__comment );

extern int LoadWNM ( const char *__filename, Image *__image );
extern int LoadPNM ( const char *__filename, Image *__image );

#endif // __FILE_H__ 



