
#ifndef _GLOBAL_H_
#define _GLOBAL_H_

const unsigned int MAX_FILENAME = 255;
const char MAX_FILETYPE = 4;
const char SUCCESS = 0;
const char MEMORY_ERROR = 1;
const char FILE_ERROR = 2;
const char INPUT_ERROR = 3;
const char GENERAL_ERROR = 4;

// Input file formats
typedef enum {
    FMT_ERROR    = -1,  // failure
    FMT_UNKNOWN  =  0,
    FMT_PNM      =  1,
    FMT_WNM      =  2   // WT format
} FileFormat;

// Output file formats
typedef enum {
    F_PBMRAW   = 1,
    F_WTFWLT   = 6,
} SaveFileFormat;

#endif //_GLOBAL_H_ 
