
#ifndef	__UTIL_H__
#define	__UTIL_H__

#include "global.h"

extern float min3 ( float __a, float __b, float __c );
extern float max3 ( float __a, float __b, float __c );
extern float min4 ( float __a, float __b, float __c, float __d );
extern float max4 ( float __a, float __b, float __c, float __d );
extern int zeroEps ( const float __x, const float __eps );
extern int zero ( const float __x );
extern float logBaseN ( const float __x, const float __n );

extern int logbasetwo ( int __x );

extern int ispoweroftwo ( int __x );

extern int nextpoweroftwo( int __x );

#define ABS(x) ((x) < (float)0 ? -(x) : (x))

#define CEIL(num,den) ( ((num)+(den)-1)/(den) )

#define EVEN(x) (!ODD(x))

#define ODD(x)  ((x) & 0x01)

#define SIGN(x) ( (x) < 0 ? (-1) : ( (x) > 0 ? (1) ) : 0 )

#define SQR(x) ( (x) * (x) )

#define CUBE(x) ( (x) * (x) * (x) )

#define ROUND(x,min,max) ( (x) > (float)(max) ? (float)(max) : (x) < (float)(min) ? (float)(min) : (x) + (float)0.5 )

#define LUMA(rd,gn,bl) ( (int)((float)(rd)*(float)0.299 + (float)(gn)*(float)0.587 + (float)(bl)*(float)0.114) )

#ifndef MAX
#define MAX(a,b) ((a) > (b) ? (a) : (b))
#endif
#ifndef MIN
#define MIN(a,b) ((a) < (b) ? (a) : (b))
#endif

float get_current_time();

#endif	// __UTIL_H__