
#ifndef __CONSTANT_H__
#define __CONSTANT_H__

#include "global.h"

// epsilon used to compare to zero 
#define m_eps_f     6E-16

// clock ticks per second for runing time calculations 
#ifndef CLOCKS_PER_SEC
#define CLOCKS_PER_SEC	1e6
#endif
// inverse powers of two 
extern float twomm[32];

// inverse powers of sqrt(2) 
extern float twomhalfm[64];

// ordinary powers of two 
extern float twom[32];

// ordinary powers of sqrt(2) 
extern float twohalfm[64];

// integer powers of two 
extern int itwom[31];

#endif // __CONSTANT_H__ 
